gnutls_auth_client_get_type(3)

NAME
gnutls_auth_client_get_type - Returns the type of credentials for the client authentication schema.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_credentials_type_t gnutls_auth_client_get_type(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Returns the type of credentials that were used for client authentication. The returned information is to be used to distinguish the function used to access authentication data.

RETURNS
The type of credentials for the client authentication schema, an gnutls_credentials_type_t type.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.